function onBegin ()
    disablePause()
    disableMovement()
    waitUntilOnGround ()
    walkTo(661, false, 0.2)
    walk(2)
    wait(5)
    choiceDialog({
        {
            "kaileythalien_aqquatica_05",
            onChosen = function ()
                setFlag("b", true)
                helpers.closeChoiceDialog ()
            end
        },
        {
            "kaileythalien_aqquatica_06",
            onChosen = function ()
                setFlag("b", true)
                helpers.closeChoiceDialog ()
            end
        },
        {
            "kaileythalien_aqquatica_07",
            onChosen = function ()
                setFlag("b", true)
                helpers.closeChoiceDialog ()
            end
        },
        {
            "kaileythalien_aqquatica_08",
            onChosen = function ()
                setFlag("b", true)
                helpers.closeChoiceDialog ()
            end
        }
    })
    enableMovement()
    enablePause()
end

function onEnd()
    enableMovement()
    enablePause()
end